Index: source/newtelligence.DasBlog.Web/EditConfigBox.ascx.cs
===================================================================
--- source/newtelligence.DasBlog.Web/EditConfigBox.ascx.cs	(revision 707)
+++ source/newtelligence.DasBlog.Web/EditConfigBox.ascx.cs	(working copy)
@@ -214,6 +214,18 @@
 				checkDailyReport.Text = resmgr.GetString("text_daily_activity_report");
 				checkDailyReport.Checked = siteConfig.EnableDailyReportEmail;
 
+
+                // activity rss
+                checkEnableActivityRss.Checked = siteConfig.EnableActivityRss;
+                if (siteConfig.EnableActivityRss)
+                {
+                    labelActivityRssUrl.Text = siteConfig.Root + siteConfig.ActivityRssUrl + @"/activityrss.ashx";
+                }
+                else
+                {
+                    labelActivityRssUrl.Text = string.Empty;
+                }
+
 				
 				WindowsTimeZoneCollection timeZones = WindowsTimeZone.TimeZones;
 				foreach (WindowsTimeZone tz in timeZones)
@@ -549,6 +561,22 @@
 				siteConfig.PingServices = savePingServices;
 				siteConfig.EntryEditControl = drpEntryEditControl.SelectedValue;
 
+
+                // activity rss
+                siteConfig.EnableActivityRss = checkEnableActivityRss.Checked;
+                if (checkEnableActivityRss.Checked)
+                {
+                    if (siteConfig.ActivityRssUrl.Length == 0)
+                    {
+                        siteConfig.ActivityRssUrl = Guid.NewGuid().ToString();
+                    }
+                }
+                else
+                {
+                    siteConfig.ActivityRssUrl = Guid.NewGuid().ToString();
+                }
+
+
 				SiteConfig.Save(siteConfig);
 
 				/*
